targets:
  $default:
    builders:
      component_copy_with_gen:
        enabled: true
        generate_for:
          exclude:
            - test
            - example
          include:
            - test/gen_*

builders:
  component_copy_with_gen:
    target: ":component_copy_with_gen"
    import: "package:wyatt_component_copy_with_gen/component_copy_with_gen.dart"
    builder_factories: ["componentCopyWithReporter"]
    build_extensions: { ".dart": ["copy_with_extension_gen.g.part"] }
    auto_apply: dependents
    build_to: cache
    applies_builders: ["source_gen|combining_builder"]
